Fix: README, bugs around help

This commit is contained in:
Cyrille L 2022-03-06 16:28:29 +01:00
parent 5420c8353a
commit eebf0916e2
4 changed files with 21 additions and 21 deletions

View File

@ -223,16 +223,13 @@ case "$1" in
;;
readme)
if [[ -f "/var/lib/gsl/README.md" ]];then
gsl__if_file "/var/lib/gsl/README.md"
clear
cat /var/lib/gsl/README.md
else
echo "! Missing file: /var/lib/gsl/README.md"
fi
;;
help|--help|-h)
gsl__check_file "$gsl_dir_helps/gsl_help" || exit 1
gsl__if_file "$gsl_dir_helps/gsl_help"
clear
case "$2" in
@ -240,21 +237,17 @@ case "$1" in
cat "$gsl_dir_helps/gsl_help"
;;
new)
gsl__check_file "$gsl_dir_helps/gsl_infos_new_website" || exit 1
gsl__if_file "$gsl_dir_helps/gsl_infos_new_website"
cat "$gsl_dir_helps/gsl_infos_new_website"
;;
install)
gsl__check_file "$gsl_dir_helps/gsl_help_install" || exit 1
gsl__if_file "$gsl_dir_helps/gsl_help_install"
cat "$gsl_dir_helps/gsl_help_install"
;;
write|-w)
gsl__check_file "$gsl_dir_helps/gsl_help_write_post" || exit 1
gsl__if_file "$gsl_dir_helps/gsl_help_write_post"
cat "$gsl_dir_helps/gsl_help_write_post"
;;
stats)
gsl__check_file "$gsl_dir_helps/gsl_help_stats" || exit 1
cat "$gsl_dir_helps/gsl_help_stats"
;;
esac
;;
esac

View File

@ -117,7 +117,7 @@ You will have to create some CSS (styles.css) in your /DOMAIN/templates/
------------------------------------------------------------------------
Post has 2 sections : Before and After #1. #1 is the FIRST Title of your
post. #(1-6) are HTML titles (<h1> to <h6>).
post. #(1-6) are HTML titles.
- Before #1 is used to set METAs HEADERS to configure your Post.
- From #1 is the CONTENT of your Post

View File

@ -2,10 +2,10 @@
$ gsl [ARG]
readme : Show README.md instructions
help | -h [OPT] : This Help. Add FULL [ARG] for specifics
help | -h [OPT] : This Help
install : Show process installation
new : Adding a DOMAIN
write | -w : How to write a Post
stats : What are thes numbers in stats DB ?
new | -N : Add and configure a new DOMAIN
@ -20,6 +20,12 @@ $ gsl [ARG]
add : Add author(s) for DOMAIN
remove : Remove author(s) for DOMAIN
check | -C [OPT] [FILE] : Check Posts erors from PWD folder or [FILE]
check | -C [OPT] [FILE] : Check Posts errors from PWD folder or [FILE]
-F : Force check again
make | -M [OPT] [FILE] : Convert Posts from PWD folder or [FILE]
to HTML file in server
post-list [FILE] : Add back post from [FILE] to Last-Posts List
(When converting new post, it will be added)

View File

@ -12,16 +12,17 @@ if [[ -f "$1" ]];then
source "$1"
else
echo "! Missing file: $1"
return 1
exit 1
fi
}
#=======================================================================
# Tool: Check needed file
#=======================================================================
gsl__check_file() {
gsl__if_file() {
if ! [[ -f "$1" ]];then
return
echo "! Missing $1"
exit 1
fi
}